# Changelog
Le format du fichier est basé sur [Tenez un ChangeLog](http://keepachangelog.com/fr/1.0.0/).

## [Non Distribué]

## [17.0.14] - 2025-02-12
- FIX : in some cases, hook getNomUrl() would fail displaying lines.

## [17.0.13] - 2025-02-12
- NEW : Compat V21

## [17.0.12] - 2025-01-20
- Améliorations :
    - Modification de la façon de gérer les boucles de trigger
    - déplacement de la fonction isEcotaxLine() vers le fichier de lib pour le rendre accessible aux autres modules.
    - sur le trigger d'ajout de l'écotaxe, vérifier qu'un autre module n'annule pas le process avant d'afficher que la ligne a été ajoutée.

## [17.0.11] - 2024-12-02
- FIX : non gestion de certains cas où le taux de TVA n'était pas renseigné.

## [17.0.10] - 2024-11-13
- FIX : ajout des écotaxes en création de facture fournisseur si elles sont créées depuis des réceptions (carte ou liste).

## [17.0.9] - 2024-11-06
- Compatibilité V20

## [17.0.8] - 2024-11-05
- NEW : constante `ECOTAX_WORKFLOW_RECEPTION_CLASSIFY_CLOSED_INVOICE` pour gérer les écotaxes dans le workflow de fermeture automatique des réceptions quand la facture fourn liée est validée.
- NEW : constante `ECOTAX_SET_SUPPLIER_ORDER_FULL_RECEIVED` : classer les commandes fournisseur 'tous les produits reçus' **en prenant en compte** les écotaxes.

## [17.0.7] - 2024-10-30
- FIX : Quand une facture fournisseur était créée depuis une réception, les lignes d'écotaxes n'étaient pas recréées. - gestion depuis la liste des réceptions

## [17.0.6] - 2024-10-23
- FIX : Quand une facture fournisseur était créée depuis une réception, les lignes d'écotaxes n'étaient pas recréées.

## [17.0.5] - 2024-10-02
- NEW : introduction des constantes cachées ECOTAX_ALSO_ON_CREATE_FROM_CLONE et ECOTAX_ALSO_ON_LINK_ORIGIN pour autoriser l'ajout d'ecotaxes lors d'un clone ou lors d'une création depuis un objet. Ces constantes ne seront à priori pas activées, mais elles servent dans les interactions avec d'autres modules.
- ajout du fichier FEATURES.md

## [17.0.4] - 2024-06-04
- Ajout du lien vers la documentation.

## [17.0.3] - 2024-05-30
- Changement de marque, modif CI.

## [17.0.2] - 2024-05-29
- Correctif : ne pas ajouter d'écotaxe lors de la création depuis un autre objet (entraîne des doublons de lignes d'ecotaxe)

## [17.0.1] - 27-05-2024
- Ajout page dictionnaires dans la configuration du module

## [17.0.0] - 18-04-2024
- ajout d'une erreur quand on essaye de mettre le poid a 0 ou vide sur un produit qui a une ecotaxe d'active
- ajout de la CI gitlab

## [1.1]
- ajout de la fonction getEcotaxServiceIds

## [1.0]
- Initial version

[Non Distribué]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.14...HEAD
[17.0.14]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.14
[17.0.13]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.13
[17.0.12]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.12
[17.0.11]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.11
[17.0.10]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.10
[17.0.9]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.9
[17.0.8]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.8
[17.0.7]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.7
[17.0.6]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.6
[17.0.5]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.5
[17.0.4]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.4
[17.0.3]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.3
[17.0.2]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.2
[17.0.1]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.1
[17.0.0]: http://git.open-dsi.fr/dolibarr-extension/dolibarr_module_ecotax/compare/17.0.0
