-- ========================================================================
-- Copyright (C) 2024   Noé COURTIER <noe.courtier@scopen.fr>
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program. If not, see <https://www.gnu.org/licenses/>.
--
-- ========================================================================

CREATE TABLE IF NOT EXISTS llx_c_ecotax_type
(
    rowid				integer      AUTO_INCREMENT PRIMARY KEY,
    entity				integer DEFAULT 0,
    code				varchar(63)  NOT NULL,
	fk_service			integer NOT NULL,
	fk_unit				integer NULL,
	unit_amount			double,
	subject_to_vat		tinyint DEFAULT -1 NOT NULL,
    active				tinyint DEFAULT 1  NOT NULL,
    date_creation		datetime,
    tms					timestamp,
    fk_user_creat		integer,
    fk_user_modif		integer,
    import_key			varchar(14)
) ENGINE=innodb;